COS_TEXT {textTinyR} | R Documentation

## Cosine similarity for text documents

### Description

Cosine similarity for text documents

### Usage

    COS_TEXT(text_vector1 = NULL, text_vector2 = NULL, threads = 1,
      separator = " ")

### Arguments

`text_vector1` | a character string vector representing text documents (it should have the same length as the text_vector2)
`text_vector2` | a character string vector representing text documents (it should have the same length as the text_vector1)
`threads` | a numeric value specifying the number of cores to run in parallel
`separator` | specifies the separator used between words of each character string in the text vectors

### Details

The function calculates the cosine distance between pairs of text sequences of two character string vectors

### Value

a numeric vector

### Examples

    library(textTinyR)

    vec1 = c('use this', 'function to compute the')

    vec2 = c('cosine distance', 'between text sequences')

    out = COS_TEXT(text_vector1 = vec1, text_vector2 = vec2, separator = " ")

[Package textTinyR version 1.1.3 Index]